clear all
a='test.ssp';
c_ann=load(a);
I=c_ann(:,1)==-1.;
I=find(I);
N1=I(2)-1;
z=c_ann(2:N1,1);
Z=-z/1000;
c=c_ann(:,2);
N2=length(c)/N1;
c=reshape(c,N1,N2);
r=c(1,:);
c(1,:)=[];

%  zz=depths
%  rr=ranges
%  ssp=sound speed NzzXNrr
%  bbb=bathymetry [range depth]
%  trk=tracking array - identified rays to track
%  par=vector of parameters

% depth and ranges in meters
zz=z;
rr=r*1000;
ssp=c;
par=zeros(1,21);

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%  21 Parameters are needed  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

par(1)=-12;           %  par(1)=angle1 (degrees)
par(2)=12;            %  par(2)=angle2 (degrees)
par(3)=4000;          %  par(3)=number of rays
par(4)=1000;          %  par(4)=source depth (meters)
par(5)=1000;          %  par(5)=receiver depth (meters)
par(6)=3000000;       %  par(6)=source to receiver range (meters)

par(7)=1;             %  par(7)=flag for eigenray (0) or timefront (1)
par(8)=0;             %  par(8)=flag for ray template (tracking) (0=no,1=yes)
par(9)=10;            %  par(9)=number of rays in template
par(10)=0;            %  par(10)=flag for saving ray paths (0=no, 1=yes)
par(11)=1000;         %  par(11)=range increment to save ray paths (meters)
par(12)=10;           %  par(12)=receiver depth tolerance (meters)
par(13)=150;          %  par(13)=maximum receiver depth tolerance (meters)

par(14)=0;            %  par(14)=travel time offset (seconds)
par(15)=1e-7;         %  par(15)=epsilon

par(16)=0;            %  par(16)=flag for bottom reflections (0=no, 1=yes)
par(17)=5;            %  par(17)=bathymetry depth tolerance (meters)
par(18)=10;           %  par(18)=number of bottom reflections to allow
par(19)=0;            %  par(19)=number of ranges in bathymetry

par(20)=length(zz);   %  par(20)=number of depths in ssp
par(21)=length(rr);   %  par(21)=number of ranges in ssp

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

% Dimension some fake bathymetry and tracking data.
bb=zeros(2,5000);
trk=zeros(300,8);

% Dimension the depths, ranges and sound speeds - 
% Required for the matlab <-> mex <-> fortran interface.
% A bookkeeping  requirement.
zz0=zeros(100,1);
zz0(1:length(zz))=zz;

rr0=zeros(1,length(rr));
rr0(1:length(rr))=rr;

ssp0=zeros(100,500);
% Fill in sound speed array.
for k=1:length(zz),
   ssp0(k,1:length(rr))=ssp(k,:);
end

[nr,info,rpath] = meig(zz0,rr0,ssp0,par,bb,trk);

% nr is the number of rays found.

% info is size 9X15001 - fixed by the source code; recompile mex file and
% source code to change.

% rpath is a 3 dimensional array of ray paths, filled if requested.
% (Will fail if you request ray paths for a time front).
% rpath is 3X10000X300 (3 variables (r,z,ds/c^2), 10000 points per ray, 300 rays).
% Modify and recompile mex file and source code to change dimensions (but I
% can't imagine quite how you would need larger dimensions that these.)

info=info';
info=info(1:nr,:);

plot(info(:,2),-info(:,7)/1000,'.')


