      subroutine loadbot(bb,MBATH,numbot,name)
c
c  Reads in bathymetry data to the 2XN matrix bb
c
c  Brian Dushaw
c  Applied Physics Laboratory 
c  University of Washington
c  Seattle, WA 98105
c  (206) 543-1300
c  dushaw@apl.washington.edu
c
c  EIGENRAY Version 3.4
c  September-December 1998
c  Last updated November 2012
c
      implicit double precision (a-h,o-z)
      double precision bb(2,MBATH)
      character*80 name

        open(55,file=name,status='old')
        test1=0.0
        test2=0.0
        do i=1,MBATH
c Range in km and depth in meters.
          read(55,*,end=15)bb(1,i),bb(2,i)
c Subtract off the first value so that range starts at zero.
          bb(1,i)=bb(1,i)*1000
          bb(1,i)=bb(1,i)- bb(1,1)
          test1=test1+bb(1,i)
          test2=test2+bb(2,i)
        enddo
        print *,'error in loadbot.f'
        print *,'increase MBATH in eig.h and bathy.h'
        print *,MBATH
        stop

 15     continue
c  add in the last depth at infinite range
        bb(1,i)=99999999.
        bb(2,i)=bb(2,i-1)
        numbot=i

c  Get average value for range and depth to test units.
        test1=test1/numbot
        test2=test2/numbot
        if(test1.gt.5000.0) 
     1print *,
     1'WARNING:  Your ranges may be in m and they should be in km.'
        if(test2.lt.5.5) then
      print *,'WARNING:  Your Depths may be in km or may be negative;'
      print *,'they should be in m and positive - a segmentation fault'
      print *,'may occur.'
        endif
        close(55)

        return
        end

